class ResultsController < ApplicationController

  def index
    @results_filter = ResultsFilter.new(results_filter_params)
  end

  def configuration_results
    @benchmark_configuration = BenchmarkConfiguration.find_for_results_json(params[:id])

    render json: @benchmark_configuration.to_results_json, callback: params[:callback]
  end

  private

  def results_filter_params
    if params[:results_filter]
      params.require(:results_filter).permit!
    else
      {}
    end
  end

end
